Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.build.fs.parser
Enum Metadata.StringField

    java.lang.Object
      java.lang.Enum<Metadata.StringField>
          org.basex.build.fs.parser.Metadata.StringField

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Metadata.StringField>

Enclosing class:
  Metadata

    public static enum Metadata.StringField

extends java.lang.Enum<Metadata.StringField>

Available metadata fields with data type string.

Author:
  Bastian Lemke

Enum Constant Summary
`ABSTRACT` Abstract.
`ALBUM` Album name.
`ALTERNATIVE` Alternative title.
`CONTRIBUTOR` Contributor.
`COPY_RECEIVER` Carbon copy receiver.
`CREATOR` Creator.
`DESCRIPTION` Description.
`ENCODING` Text encoding.
`GENRE` Genre.
`HIDDEN_RECEIVER` Blind carbon copy receiver.
`IDENTIFIER` Unique identifier.
`KEYWORD` Keyword.
`LANGUAGE` Language.
`PUBLISHER` Publisher.
`RECEIVER` Receiver.
`SENDER` Sender.
`SPATIAL` Textual description of the location.
`SUBJECT` Message or document subject.
`TABLE_OF_CONTENTS` Table of contents.
`TITLE` Title.

Method Summary
`byte[]` | `get()` Returns the enum value as byte array.
`static Metadata.StringField` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Metadata.StringField[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ABSTRACT

    public static final Metadata.StringField ABSTRACT

  Abstract.

### ALBUM

    public static final Metadata.StringField ALBUM

  Album name.

### ALTERNATIVE

    public static final Metadata.StringField ALTERNATIVE

  Alternative title.

### HIDDEN_RECEIVER

    public static final Metadata.StringField HIDDEN_RECEIVER

  Blind carbon copy receiver.

### COPY_RECEIVER

    public static final Metadata.StringField COPY_RECEIVER

  Carbon copy receiver.

### CONTRIBUTOR

    public static final Metadata.StringField CONTRIBUTOR

  Contributor.

### CREATOR

    public static final Metadata.StringField CREATOR

  Creator.

### DESCRIPTION

    public static final Metadata.StringField DESCRIPTION

  Description.

### ENCODING

    public static final Metadata.StringField ENCODING

  Text encoding.

### SENDER

    public static final Metadata.StringField SENDER

  Sender.

### GENRE

    public static final Metadata.StringField GENRE

  Genre.

### IDENTIFIER

    public static final Metadata.StringField IDENTIFIER

  Unique identifier.

### KEYWORD

    public static final Metadata.StringField KEYWORD

  Keyword.

### LANGUAGE

    public static final Metadata.StringField LANGUAGE

  Language.

  See Also:
    RFC 4646

### SPATIAL

    public static final Metadata.StringField SPATIAL

  Textual description of the location.

### PUBLISHER

    public static final Metadata.StringField PUBLISHER

  Publisher.

### SUBJECT

    public static final Metadata.StringField SUBJECT

  Message or document subject.

### TABLE_OF_CONTENTS

    public static final Metadata.StringField TABLE_OF_CONTENTS

  Table of contents.

### TITLE

    public static final Metadata.StringField TITLE

  Title.

### RECEIVER

    public static final Metadata.StringField RECEIVER

  Receiver.

Method Detail

### values

    public static Metadata.StringField[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Metadata.StringField c : Metadata.StringField.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Metadata.StringField valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public byte[] get()

  Returns the enum value as byte array.

  Returns:
    the enum value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD